
QGIS Application - Bug report #16906

SAGA Mosaic raster layers don't run in QGIS 2.18.10

2017-07-21 12:40 PM - Antonio Viscomi

Status: Closed

Priority: High

Assignee: Giovanni Manghi

Category: Processing/SAGA

Affected QGIS version:2.18.10 Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 24805

Description

Hello,

I need to mosaic 7 raster layers by using SAGA tool.

I select all the input layers to mosaic, then the following options:

- 8 byte floating poin;

- bicubic spline interpolation;

- last;

- 10

- none

- minimun extent

- [cellsize] 5

- cells

- output path and file name

then run, but the proces don't start and don't show any error.

If I Run Mosaic raster layer from 2.14.16 it work fine...

the only difference between two dialog is that in 2.14.16 user is not allowed to set cellsize

I attach screenshots and files 

Regards

History

#1 - 2017-07-21 12:48 PM - Antonio Viscomi

Antonio Viscomi wrote:

Hello,

I need to mosaic 7 raster layers by using SAGA tool.

I select all the input layers to mosaic, then the following options:

- 8 byte floating poin;

- bicubic spline interpolation;

- last;

- 10

- none

- minimun extent

- [cellsize] 5

- cells

- output path and file name

then run, but the proces don't start and don't show any error.
If I Run Mosaic raster layer from 2.14.16 it work fine...

the only difference between two dialog is that in 2.14.16 user is not allowed to set cellsize

I attach screenshots and files 

Regards

EDIT: SAGA version for 2.14.16 ---> 2.1.2 / 2.18.10 ---> 2.3.2

both installed from OSGEO

#2 - 2017-07-21 01:56 PM - Antonio Viscomi

Antonio Viscomi wrote:

Antonio Viscomi wrote:

Hello,

I need to mosaic 7 raster layers by using SAGA tool.

I select all the input layers to mosaic, then the following options:

- 8 byte floating poin;

- bicubic spline interpolation;

- last;

- 10

- none

- minimun extent

- [cellsize] 5

- cells

- output path and file name

then run, but the proces don't start and don't show any error.

If I Run Mosaic raster layer from 2.14.16 it work fine...

the only difference between two dialog is that in 2.14.16 user is not allowed to set cellsize

I attach screenshots and files 

Regards

EDIT: SAGA version for 2.14.16 ---> 2.1.2 / 2.18.10 ---> 2.3.2

both installed from OSGEO

EDIT2: don't works also in Debian Stretch where however comes out the message log:

-    param.datatype == dataobjects.TYPE_RASTER):

            AttributeError: 'module' object has no attribute 'TYPE_RASTER'

#3 - 2017-07-21 02:46 PM - Giovanni Manghi

- Operating System deleted (windows 7 ultimate x64)

- Assignee changed from Victor Olaya to Giovanni Manghi

- Priority changed from Normal to High

#4 - 2017-07-21 03:46 PM - Giovanni Manghi

- Resolution set to fixed/implemented
- Status changed from Open to Feedback

fixed here https://github.com/qgis/QGIS/pull/4902

#5 - 2017-07-21 04:30 PM - Antonio Viscomi

Giovanni Manghi wrote:

fixed here https://github.com/qgis/QGIS/pull/4902

I tried to apply your fix but for me both in windows and Debian it not work yet...

#6 - 2017-07-21 04:32 PM - Giovanni Manghi

Antonio Viscomi wrote:

Giovanni Manghi wrote:

fixed here https://github.com/qgis/QGIS/pull/4902

I tried to apply your fix but for me both in windows and Debian I not work yet...

if you are not using qgis 2.18-nightly you also need commit:74042a2dc061aba0f8c5ecc15efa111153c97bb0

#7 - 2017-07-21 04:54 PM - Antonio Viscomi

Giovanni Manghi wrote:

Antonio Viscomi wrote:

Giovanni Manghi wrote:

fixed here https://github.com/qgis/QGIS/pull/4902

I tried to apply your fix but for me both in windows and Debian I not work yet...

if you are not using qgis 2.18-nightly you also need commit:74042a2dc061aba0f8c5ecc15efa111153c97bb0

Sorry,

it works fine on nightly,

foolishly I had applied the fix to the stable version

:(

Greetings
#8 - 2017-07-22 02:03 PM - Giovanni Manghi

- Status changed from Feedback to Closed

#9 - 2017-07-24 11:31 AM - Antonio Viscomi

- File log_message_SAGA_mosaiking_debian added

- Status changed from Closed to Reopened

Hello,

Today I applied the fix to the QGIS 2.18.11 stable version both in Windows and Debian...

The results are that: 

- in windows it works fine (saga version 2.3.2);

- in Debian 9.1 (stable) the process come out with an error log message (attached) (saga version 2.3.1(due to the stable branch of Debian));

Greetings

#10 - 2017-07-24 01:04 PM - Giovanni Manghi

- Status changed from Reopened to Closed

Antonio Viscomi wrote:

Hello,

Tomorrow I applied the fix to the QGIS 2.18.11 stable version both in Windows and Debian...

- The results are that: in windows it works fine (saga version 2.3.2);

- in Debian 9.1 (stable) the process come out with an error log message (attached) (saga version 2.3.1(due to the stable branch of Debian));

Greetings

one of the fixes didn't made the cut for 2.18.11

https://github.com/qgis/QGIS/commits/release-2_18

Files

SAGA_MosaicQG214.png 81.2 KB 2017-07-21 Antonio Viscomi

SAGA_MosaicQG218.png 135 KB 2017-07-21 Antonio Viscomi

DEM.rar 4.46 MB 2017-07-21 Antonio Viscomi

log_message_SAGA_mosaiking_debian 36.8 KB 2017-07-24 Antonio Viscomi
